#!/bin/ksh

clean_package() {
if [ -e "$1" ]
then
echo "Executing command: $1"
eval $1
fi
}

clean() {
    clean_package "$WMCROOT/admin/software/adapters/ibm-tn-cem-cem_mup_prb_dns.remove"
    clean_package "$WMCROOT/admin/software/adapters/ibm-tn-cem-cem_mup_prb_http.remove"
    clean_package "$WMCROOT/admin/software/adapters/ibm-tn-cem-cem_mup_prb_other.remove"
    
    rm $WMCROOT/packages/cem_mup_prb_deploy.xml 
}

install_package() {
if [ ! -e "$1" ]
then
    echo "$1 missing. Aborting installation";
    clean;
    exit 1;
fi

echo "Executing command: $WMCROOT/admin/common/install/scripts/deploy-service-solution -package $1"
eval "$WMCROOT/admin/common/install/scripts/deploy-service-solution -package $1"

if [ "$?" -ne "0" ]; then
  echo "Error installing $1. Aborting installation";
  clean;
  exit 1
fi
}

install() {
    install_package "ibm-tn-cem-cem_mup_prb_dns-1.2.tar.gz"
    install_package "ibm-tn-cem-cem_mup_prb_http-1.2.tar.gz"
    install_package "ibm-tn-cem-cem_mup_prb_other-1.2.tar.gz"

    cp cem_mup_prb_deploy.xml $WMCROOT/packages
}


while getopts "ic" script_arg
do

        case $script_arg in

        i)
            install;;

        c)
            clean;;
        esac
done
shift $(($OPTIND - 1))
